= render "projects/blob/breadcrumb", blob: blob
- project = @project.present(current_user: current_user)
- ref = local_assigns[:ref] || @ref
- expanded = params[:expanded].present?
- if blob.rich_viewer
  - add_page_startup_api_call local_assigns.fetch(:viewer_url) { url_for(safe_params.merge(viewer: blob.rich_viewer.type, format: :json)) }

.info-well.d-none.d-sm-block
  .well-segment
    %ul.blob-commit-info
      = render 'projects/commits/commit', commit: @last_commit, project: @project, ref: @ref

  #js-code-owners{ data: { blob_path: blob.path, project_path: @project.full_path, branch: @ref } }
  = render "projects/blob/auxiliary_viewer", blob: blob

#blob-content-holder.blob-content-holder.js-per-page{ data: { blame_per_page: Projects::BlameService::PER_PAGE } }
  - if @code_navigation_path
    #js-code-navigation{ data: { code_navigation_path: @code_navigation_path, blob_path: blob.path, definition_path_prefix: project_blob_path(@project, @ref) } }
  - if !expanded
    -# Data info will be removed once we migrate this to use GraphQL
    -# Follow-up issue: https://gitlab.com/gitlab-org/gitlab/-/issues/330406
    #js-view-blob-app{ data: { blob_path: blob.path,
                              project_path: @project.full_path,
                              target_branch: project.empty_repo? ? ref : @ref,
                              ref_type: @ref_type.to_s,
                              original_branch: @ref } }
      = gl_loading_icon(size: 'md')
  - else
    %article.file-holder
      = render 'projects/blob/header', blob: blob
      = render 'projects/blob/content', blob: blob
